### steamcmd-container
Extended version of [CM2Walki/steamcmd](https://www.github.com/CM2Walki/steamcmd)  

Based on Fedora 35, a newer/more familiar OS (for me).  Runs `steamcmd` once on build to update the client from the archive.  No other notable changes.

Some bootstrap utilities left around for convenience (`wget`, `less`, `find`), at the cost of size.  That is *not* a priority for this image, nearing 500MB.

A wrapper script (`/usr/local/bin/steamcmd`) has been provided to make `steamcmd` slightly more accessible.

### Fedora-driven tweaks
`dnf` has been tweaked *slightly* to improve speed/reduce needless resource usage.
 - `max_parallel_downloads`: Set to the (current) limit of 20, more packages fetched at once.
 - `fastestmirror`: Contrary to what the name implies, it's not always fastest.  This measures latency; not bandwidth.
 - `deltarpm`: No old packages will exist to diff, so save the CPU cycles
